<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>	
<fmt:formatNumber value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}" var="totalCostingLine" type="number" pattern="####" maxFractionDigits="2" minFractionDigits="2"/>
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page"/>
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />
<div class="breakdown">
<c:set var="priceBreakDown"
            value="${bookingComponent.pricingDetails['priceBreakDown']}" />
        <c:if test="${not empty priceBreakDown}">
										<p class="title">Price Breakdown</p>
										<ul class="grey-med">
											
											<!--<li>Online discount <span>-£328.00</span></li>
											<li>Flights <span>£616.00</span></li>
											<li>Air Passenger Duty <span>£50.00</span></li>
											<li>Airport taxes<span>£50.96</span></li>
											<li>Options &amp; Extras <span>+£25.00</span></li>
											<ul class="final-total">
											<li class="grey-dark">Total Price<span>&pound;577.96</span></li>
										</ul>
										</div>-->
											
											 <c:forEach var="priceComponent" items="${priceBreakDown}" varStatus="count">
											<li>
											<c:out
                                value="${priceComponent.itemDescription}" />
											<span >
						    <c:choose>
                                <c:when
                                    test="${not empty priceComponent.itemDescription and not empty priceComponent.onlineDiscountData and count.index==0}">
                                  <span class="red"> -&pound;<fmt:formatNumber
                                            value="${priceComponent.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" /></span>
                                </c:when>
                                <c:when
                                    test="${priceComponent.itemDescription == 'Promotional Discount'}">
                                    -&pound;<fmt:formatNumber
                                            value="${priceComponent.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" />
                                </c:when>
                                <c:otherwise>
                                    &pound;<fmt:formatNumber value="${priceComponent.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" />
                                </c:otherwise>
                            </c:choose>
											</span>
											</li>
									    </c:forEach>
										
										
										</ul>
										<ul class="final-total">
											<li class="grey-dark">Total Price<span>&pound;<c:out value="${totalcost[0]}"/><c:out value=".${totalcost[1]}"/></span></li>
										</ul>
										
		</c:if>
										</div>